Package org.jboss.resteasy.client.jaxrs.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 26, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `cannotSetFormParameter()` |
    `String` | `canOnlySetOneLinkHeaderParam​(String className, String methodName)` |
    `String` | `clientIsClosed()` |
    `String` | `clientProxyFor​(String className)` |
    `String` | `couldNotCloseHttpResponse()` |
    `String` | `couldNotCreateURL​(String uri, String className, String methodName)` |
    `String` | `couldNotDeleteFile​(String path)` |
    `String` | `couldNotFindMethod​(Method method)` |
    `String` | `couldNotProcessMethod​(Method method)` |
    `String` | `doesNotSpecifyTypeParameter​(TypeVariable<?> var)` |
    `String` | `entityAlreadyRead​(Class<?> clazz)` |
    `String` | `failedOnRegisteringClass​(String className)` |
    `String` | `failedToBufferAbortedResponse()` |
    `String` | `failedToBufferAbortedResponseNoWriter​(javax.ws.rs.core.MediaType mediaType, String className)` |
    `String` | `getRequestCannotHaveBody()` |
    `String` | `inputStreamWasEmpty()` |
    `String` | `linkWasNull()` |
    `String` | `methodWasNull()` |
    `String` | `mustDefineConsumesType()` |
    `String` | `mustSetLinkHeaderParam​(String className, String methodName)` |
    `String` | `mustUseExactlyOneHttpMethod​(String methodName)` |
    `String` | `nameWasNull()` |
    `String` | `noTypeInformation()` |
    `String` | `nullParameter​(String annotation)` |
    `String` | `parametersWasNull()` |
    `String` | `pathWasNull()` |
    `String` | `pleaseConsiderUnpdating()` |
    `String` | `proxyInterfaceWasNull()` |
    `String` | `resourceWasNull()` |
    `String` | `resteasyClientProxyFor​(String className)` |
    `String` | `streamIsClosed()` |
    `String` | `templateValuesEntryWasNull()` |
    `String` | `templateValuesWasNull()` |
    `String` | `unableToInstantiate​(Class<?> clazz)` |
    `String` | `unableToInvokeRequest​(String msg)` |
    `String` | `unableToLoadClientConfigProviderConfiguration()` |
    `String` | `unableToSetHttpProxy()` |
    `String` | `uriBuilderWasNull()` |
    `String` | `uriWasNull()` |
    `String` | `valueWasNull()` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### canOnlySetOneLinkHeaderParam

          @Message(id=4500,
                   value="You can only set one of LinkHeaderParam.rel() and LinkHeaderParam.title() for on {0}.{1}",
                   format=MESSAGE_FORMAT)
          String canOnlySetOneLinkHeaderParam​(String className,
                                              String methodName)

    - #### cannotSetFormParameter

          @Message(id=4505,
                   value="Cannot set a form parameter if entity body already set")
          String cannotSetFormParameter()

    - #### clientIsClosed

          @Message(id=4510,
                   value="Client is closed.")
          String clientIsClosed()

    - #### clientProxyFor

          @Message(id=4515,
                   value="Client Proxy for : %s")
          String clientProxyFor​(String className)

    - #### couldNotCreateURL

          @Message(id=4520,
                   value="Could not create a URL for {0} in {1}.{2}",
                   format=MESSAGE_FORMAT)
          String couldNotCreateURL​(String uri,
                                   String className,
                                   String methodName)

    - #### couldNotDeleteFile

          @Message(id=4525,
                   value="Marking file \'%s\' to be deleted, as it could not be deleted while processing request:")
          String couldNotDeleteFile​(String path)

    - #### couldNotFindMethod

          @Message(id=4530,
                   value="Could not find a method for: %s")
          String couldNotFindMethod​(Method method)

    - #### couldNotProcessMethod

          @Message(id=4535,
                   value="Could not process method %s")
          String couldNotProcessMethod​(Method method)

    - #### doesNotSpecifyTypeParameter

          @Message(id=4540,
                   value="%s does not specify the type parameter T of GenericType<T>")
          String doesNotSpecifyTypeParameter​(TypeVariable<?> var)

    - #### entityAlreadyRead

          @Message(id=4545,
                   value="The entity was already read, and it was of type %s")
          String entityAlreadyRead​(Class<?> clazz)

    - #### failedOnRegisteringClass

          @Message(id=4550,
                   value="failed on registering class: %s")
          String failedOnRegisteringClass​(String className)

    - #### failedToBufferAbortedResponse

          @Message(id=4555,
                   value="Failed to buffer aborted response")
          String failedToBufferAbortedResponse()

    - #### failedToBufferAbortedResponseNoWriter

          @Message(id=4560,
                   value="Failed to buffer aborted response. Could not find writer for content-type {0} type: {1}",
                   format=MESSAGE_FORMAT)
          String failedToBufferAbortedResponseNoWriter​(javax.ws.rs.core.MediaType mediaType,
                                                       String className)

    - #### getRequestCannotHaveBody

          @Message(id=4565,
                   value="A GET request cannot have a body.")
          String getRequestCannotHaveBody()

    - #### inputStreamWasEmpty

          @Message(id=4575,
                   value="Input stream was empty, there is no entity")
          String inputStreamWasEmpty()

    - #### linkWasNull

          @Message(id=4580,
                   value="link was null")
          String linkWasNull()

    - #### methodWasNull

          @Message(id=4585,
                   value="method was null")
          String methodWasNull()

    - #### mustDefineConsumesType

          @Message(id=4590,
                   value="You must define a @Consumes type on your client method or interface, or supply a default")
          String mustDefineConsumesType()

    - #### mustSetLinkHeaderParam

          @Message(id=4595,
                   value="You must set either LinkHeaderParam.rel() or LinkHeaderParam.title() for on {0}.{1}",
                   format=MESSAGE_FORMAT)
          String mustSetLinkHeaderParam​(String className,
                                        String methodName)

    - #### mustUseExactlyOneHttpMethod

          @Message(id=4600,
                   value="You must use at least one, but no more than one http method annotation on: %s")
          String mustUseExactlyOneHttpMethod​(String methodName)

    - #### nameWasNull

          @Message(id=4605,
                   value="name was null")
          String nameWasNull()

    - #### noTypeInformation

          @Message(id=4610,
                   value="No type information to extract entity with.  You use other getEntity() methods")
          String noTypeInformation()

    - #### parametersWasNull

          @Message(id=4615,
                   value="parameters was null")
          String parametersWasNull()

    - #### pathWasNull

          @Message(id=4620,
                   value="path was null")
          String pathWasNull()

    - #### pleaseConsiderUnpdating

          @Message(id=4623,
                   value="Please consider updating the version of Apache HttpClient being used.  Version 4.3.6+ is recommended.")
          String pleaseConsiderUnpdating()

    - #### proxyInterfaceWasNull

          @Message(id=4625,
                   value="proxyInterface was null")
          String proxyInterfaceWasNull()

    - #### resourceWasNull

          @Message(id=4630,
                   value="resource was null")
          String resourceWasNull()

    - #### resteasyClientProxyFor

          @Message(id=4635,
                   value="Resteasy Client Proxy for : %s")
          String resteasyClientProxyFor​(String className)

    - #### streamIsClosed

          @Message(id=4640,
                   value="Stream is closed")
          String streamIsClosed()

    - #### templateValuesEntryWasNull

          @Message(id=4645,
                   value="templateValues entry was null")
          String templateValuesEntryWasNull()

    - #### templateValuesWasNull

          @Message(id=4650,
                   value="templateValues was null")
          String templateValuesWasNull()

    - #### unableToInstantiate

          @Message(id=4652,
                   value="Unable to create new instance of %s")
          String unableToInstantiate​(Class<?> clazz)

    - #### unableToInvokeRequest

          @Message(id=4655,
                   value="Unable to invoke request: {0}",
                   format=MESSAGE_FORMAT)
          String unableToInvokeRequest​(String msg)

    - #### uriBuilderWasNull

          @Message(id=4660,
                   value="uriBuilder was null")
          String uriBuilderWasNull()

    - #### uriWasNull

          @Message(id=4665,
                   value="uri was null")
          String uriWasNull()

    - #### valueWasNull

          @Message(id=4670,
                   value="value was null")
          String valueWasNull()

    - #### couldNotCloseHttpResponse

          @Message(id=4680,
                   value="Could not close http response")
          String couldNotCloseHttpResponse()

    - #### unableToSetHttpProxy

          @Message(id=4685,
                   value="Unable to set http proxy")
          String unableToSetHttpProxy()

    - #### nullParameter

          @Message(id=4690,
                   value="Parameter annotated with %s cannot be null")
          String nullParameter​(String annotation)

    - #### unableToLoadClientConfigProviderConfiguration

          @Message(id=4691,
                   value="Unable to load ClientConfigProvider configuration because uri is null")
          String unableToLoadClientConfigProviderConfiguration()